import re
import datetime
from youtubed2x_lib.parsers import Parser_Helper, getPage


class HardSexTube_Parser (Parser_Helper):
    """Parser for SpankWire pages. Updated 01/15/2010"""
    const_video_url_re = re.compile (r'^(?:http://)?(?:www\.)?hardsextube\.com/video/(\d+)(?:/.*)?')
    video_url_str = 'http://www.hardsextube.com/video/%s/'
    video_title_re = re.compile (r'<h1>([^<]+)</h1>')
    video_details_xml_url = "http://vidii.hardsextube.com/video/%s/config.xml"
    video_url_params_re = re.compile (r'<PLAYER_SETTINGS Name="FLVPath" Value="(\S+)"/>')
    parser_type = "HardSexTube"
    domain_str = "http://www.hardsextube.com/"
    host_str = "hardsextube.com"
    version = datetime.date (2010, 1, 15)


    def _parsePlayerCommands (self):
        """Get the commands needed to get the video player"""
        page, newurl = getPage (self.__class__.video_details_xml_url % self.video_id)

        match = self.video_url_params_re.search (self.page_dump)
        if not match:
            raise self.__class__.InvalidCommands ("Could not find flash player commands")
        else:
            commands = match.groups ()
        return commands
    

    def _parseRealURL (self, commands):
        """Get the real url for the video"""
        real_url = commands[0]
        return real_url


    @staticmethod
    def getImageData ():
        image_data = """X1X\xff\x0e\x08\x0e\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff<!<\xff\x03\x02\x03\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff"\x13"\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x13\x0f\x13\xff\x08\x06\x08\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x13\n\x13\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xffdKd\xff\xdb\xa3\xdb\xff\xbf\x8e\xbf\xff#\x1a#\xff\x08\x06\x08\xffz]z\xffgNg\xff\x03\x02\x03\xff\x00\x00\x00\xff#\x1b#\xff\n\x08\n\xff\x00\x00\x00\xff\n\x06\n\xff\x00\x00\x00\xff\x00\x00\x00\xff\r\n\r\xff\xd3\x9a\xd3\xff\xe0\x9e\xe0\xff\xf2\xad\xf2\xffvWv\xffR>R\xff\xff\xc5\xff\xff\xfe\xbc\xfe\xff-"-\xff<-<\xff\xf2\xbe\xf2\xff\x92n\x92\xff\x00\x00\x00\xff\x06\x04\x06\xff\x00\x00\x00\xff\x00\x00\x00\xff\x06\x04\x06\xff\xab|\xab\xff\xee\xa8\xee\xff\xec\xa9\xec\xffS=S\xff,!,\xff\xdd\xa1\xdd\xff\xc8\x92\xc8\xff\x14\x0f\x14\xffA0A\xff\xf6\xbc\xf6\xff\x94m\x94\xff\x00\x00\x00\xff\x04\x02\x04\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x19\x12\x19\xffrRr\xffT<T\xff\x02\x02\x02\xff\x00\x00\x00\xff\x16\x10\x16\xff\x10\x0b\x10\xff\x00\x00\x00\xff\x00\x00\x00\xff"\x18"\xff\t\x07\t\xff\x00\x00\x00\xff\x03\x01\x03\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x04\x02\x04\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x06\x04\x06\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x0f\x0b\x0f\xffkNk\xffaGa\xff\x07\x06\x07\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\n\x06\n\xff\x00\x00\x00\xff\x00\x00\x00\xffJ9J\xff8+8\xff\x0c\t\x0c\xff\xa2|\xa2\xffoUo\xff\x00\x00\x00\xff\x93o\x93\xff\xfb\xb7\xfb\xff\xfa\xb7\xfa\xffy[y\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x10\t\x10\xff\x00\x00\x00\xff\x01\x00\x01\xff\xa8\x82\xa8\xff\x7fc\x7f\xff\x1b\x15\x1b\xff\xff\xc8\xff\xff\xbd\x91\xbd\xff\x01\x01\x01\xff\xbc\x8d\xbc\xff\xee\xaa\xee\xff\xf4\xaf\xf4\xff\xa4{\xa4\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x1d\x10\x1d\xff\x00\x00\x00\xff\x00\x00\x00\xff\x02\x01\x02\xff\x00\x00\x00\xff\x00\x00\x00\xff2&2\xff\x1d\x17\x1d\xff\x00\x00\x00\xffN;N\xff\xd6\xa0\xd6\xff\xcd\x99\xcd\xff9+9\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff4\x1d4\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x10\r\x10\xff\x0c\n\x0c\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xffX1X\xff\x04\x03\x04\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x80G\x80\xff\x14\x0b\x14\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff\x00\x00\x00\xff"""

        return image_data


